# Interface methods for submodule: NarrowBandCurvesLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NarrowBandLevelSetImageFilterProxy as _NarrowBandLevelSetImageFilterProxy


# Interface methods for class: NarrowBandCurvesLevelSetImageFilter
class NarrowBandCurvesLevelSetImageFilterProxy(_NarrowBandLevelSetImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetDerivativeSigma(self, value: float) -> None:
		""""""
		...

	def GetDerivativeSigma(self) -> float:
		""""""
		...

